/************************************************************************/
/*	Copyright (C) 2004  Michael C. Shultz				*/
/*									*/
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or (at*/
/* your option) any later version.					*/
/*									*/
/* This program is distributed in the hope that it will be useful,	*/
/* but WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*/
/* GNU General Public License for more details. 			*/
/*									*/
/* You should have received a copy of the GNU General Public License	*/
/* along with this program; if not, write to the Free Software		*/
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA		*/
/*  02111-1307, USA.							*/
/* 									*/
/* Michael C. Shultz							*/
/* ringworm01@gmail.com							*/
/* Box 3238 Landers, CA 92285						*/
/************************************************************************/
#include	<libMG.h>
#include	<libMG.ph>

char*	MGdirGet(classDir* dir)
{
	char	id[]		= "MGdirGet";

	/* check if we have a valid object */
	if(dir == NULL || dir->parent.type != CLASS_TYPE_DIR)
	{
		fprintf( stderr, "%s error: invalid object type\n", id);
		assert(0);
	}

/*
fprintf( stderr, "MGdirGet DEBUG: dir->parent.recordQty-=>%d\n", dir->parent.recordQty );
*/

	if( dir->parent.eof || dir->parent.recordQty == 0 )
	{
		return(0);
	}

	return( dir->record[dir->parent.recordIdx] );
}
