/*
	Copyright (C) 2004,2005  Michael C. Shultz

	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions
	are met:

	1. Redistributions of source code must retain the above copyright
	   notice, this list of conditions and the following disclaimer.
	2. Redistributions in binary form must reproduce the above copyright
	   notice, this list of conditions and the following disclaimer in the
	   documentation and/or other materials provided with the distribution.

	THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
	IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
	OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
	IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
	INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
	NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
	DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
	THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
	THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

	Michael C. Shultz
	ringworm01@gmail.com
	Box 3238 Landers, CA 92285
*/
#include	<libMG.h>
#include	<libMG.ph>

classDb*	MGdbOpen( char* dbFileName )
{
	char	id[]		= "MGdbOpen";
	static	classDb* db;

	/*zzzzzzzzzzzzzz*/
	db			= ( classDb* )calloc( sizeof(classDb), 1 );
	db->parent.mallocIdx	= 1;
	/*zzzzzzzzzzzzzz*/

	/*zzzzzzzzzzzzzz*/
	db->parent.mallocIdx++;
	db->parent.path		= calloc( MGrStrlen( dbFileName ) + 1, 1 );
	MGmStrcpy( db->parent.path, dbFileName );
	/*zzzzzzzzzzzzzz*/

	db->fieldIdx		= 0;
	db->fieldQty		= 0;
	db->parent.bof		= 1;
	db->parent.eof		= 0;
	db->parent.fopenIdx	= 0;
	db->parent.recordIdx	= 0;
	db->parent.recordQty	= 0;
	db->parent.type		= CLASS_TYPE_DB;

	MGdbRead( db );

	return( db );
}	
